import { RoundingMode } from 'big.js';
import { ApiPromise } from '@polkadot/api';

declare function formatAssetIdToERC20(id: string): string;

declare function toDecimal(number: bigint | number | string, decimals: number, maxDecimal?: number, roundType?: RoundingMode): string;
declare function toBigInt(amount: bigint | string | number, decimals: number): bigint;
declare function convertDecimals(number: string | bigint, decimals: number, targetDecimals: number): bigint;
declare function hasDecimalOverflow(fl: number | string, maxDecimal: number): boolean;

declare enum MRLTypes {
    XcmVersionedMultiLocation = "XcmVersionedMultiLocation",
    XcmVersionedLocation = "XcmVersionedLocation",
    XcmRoutingUserAction = "XcmRoutingUserAction",
    VersionedUserAction = "VersionedUserAction"
}
declare function getPolkadotApi(ws: string | string[]): Promise<ApiPromise>;

declare function getSovereignAccountAddresses(paraId: number): {
    generic: string;
    moonbeam: string;
    relay: string;
};

export { MRLTypes, convertDecimals, formatAssetIdToERC20, getPolkadotApi, getSovereignAccountAddresses, hasDecimalOverflow, toBigInt, toDecimal };
